/*global define*/
/**
 *
 */
define('de_epages/paybox/ui/paybox', [
  'jquery',
  'ep',
  '$ready!',
  'ep/ajax'
], function($, eq) {

  'use strict';

  return function(serializedarray, basketid) {
    logpaymentexecution(serializedarray, basketid);
    return true;
  };

  /**
   * @param {Array} serializedarray Servlet serialized data.
   * @param {int}   id              ID of the basket.
   */
  function logpaymentexecution(serializedarray, id) {
    ep.ajax({
      //async: false,
      data: $.merge(
        serializedarray,
        [
          {
            name: "ChangeAction",
            value: "JSONPayboxOutgoingLog"
          },
          {
            name: "ObjectID",
            value: id
          }
        ]
      ),
      cache: false,
      type: "POST",
      dataType: "json"
    });
  }
});
